Package org.eclipse.emf.cdo.spi.server

# Klasse CDOCommand

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.spi.server.CDOCommand

Alle implementierten Schnittstellen:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Bekannte direkte Unterklassen:
  `CDOCommand.WithRepository`

public abstract class CDOCommand extends org.eclipse.net4j.util.factory.Factory

Seit:
  4.3
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

Verschachtelte Klassen
Modifizierer und Typ
Klasse
Beschreibung
`static final class`
`CDOCommand.CommandException`
`static final class`
`CDOCommand.CommandParameter`
`static class`
`CDOCommand.WithAccessor`
`static class`
`CDOCommand.WithRepository`

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`static final String`
`INDENT`
`static final String`
`PRODUCT_GROUP`

### Von Klasse geerbte Felder org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`CDOCommand(String name, String description)`
`CDOCommand(String name, String description, CDOCommand.CommandParameter... parameters)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`final CDOCommand`
`create(String description)`
`protected final String`
`duration()`
`final void`
`execute()`
`abstract void`
`execute(String[] args)`
`final Object`
`executeCommand(String cmd)`
`final String`
`getDescription()`
`final CommandInterpreter`
`getInterpreter()`
`final String`
`getName()`
`final CDOCommand.CommandParameter[]`
`getParameters()`
`final String`
`getSyntax()`
`static CDOCommand.CommandParameter`
`optional(String name)`
`static CDOCommand.CommandParameter`
`parameter(String name)`
`static CDOCommand.CommandParameter`
`parameter(String name, boolean optional)`
`static CDOCommand.CommandParameter[]`
`parameters(CDOCommand.CommandParameter parameter, CDOCommand.CommandParameter[] parameters)`
`final void`
`print(Object o)`
`final void`
`printBundleResource(org.osgi.framework.Bundle bundle, String resource)`
`final void`
`printDictionary(Dictionary<?,?> dic, String title)`
`final void`
`println()`
`final void`
`println(Object o)`
`final void`
`printStackTrace(Throwable t)`
`final void`
`setInterpreter(CommandInterpreter interpreter)`
`protected static String[]`
`trimFirstArgument(String[] args)`

### Von Klasse geerbte Methoden org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Felddetails

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

Siehe auch:
  - Konstantenfeldwerte

### INDENT

public static final String INDENT

Siehe auch:
  - Konstantenfeldwerte

## Konstruktordetails

### CDOCommand

public CDOCommand(String name, String description, CDOCommand.CommandParameter... parameters)

### CDOCommand

public CDOCommand(String name, String description)

## Methodendetails

### create

public final CDOCommand create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Löst aus:
  `org.eclipse.net4j.util.factory.ProductCreationException`

### getInterpreter

public final CommandInterpreter getInterpreter()

### setInterpreter

public final void setInterpreter(CommandInterpreter interpreter)

### getName

public final String getName()

### getDescription

public final String getDescription()

### getParameters

public final CDOCommand.CommandParameter[] getParameters()

### getSyntax

public final String getSyntax()

### executeCommand

public final Object executeCommand(String cmd)

### print

public final void print(Object o)

### println

public final void println()

### println

public final void println(Object o)

### printStackTrace

public final void printStackTrace(Throwable t)

### printDictionary

public final void printDictionary(Dictionary<?,?> dic, String title)

### printBundleResource

public final void printBundleResource(org.osgi.framework.Bundle bundle, String resource)

### execute

public final void execute() throws Exception

Löst aus:
  `Exception`

### duration

protected final String duration()

Seit:
  4.8

### execute

public abstract void execute(String[] args) throws Exception

Löst aus:
  `Exception`

### parameters

public static CDOCommand.CommandParameter[] parameters(CDOCommand.CommandParameter parameter, CDOCommand.CommandParameter[] parameters)

### parameter

public static CDOCommand.CommandParameter parameter(String name, boolean optional)

### parameter

public static CDOCommand.CommandParameter parameter(String name)

### optional

public static CDOCommand.CommandParameter optional(String name)

### trimFirstArgument

protected static String[] trimFirstArgument(String[] args)